## virtaal 0.7.1+git20191021+ds1

=== Makefile ===
SRC_DIR = .
DOCS_DIR = docs

.PHONY: all docs pot get-translations help update-translations

all: help

docs:
	# The following creates the HTML docs.
	# NOTE: cd and make must be in the same line.
	cd ${DOCS_DIR}; make SPHINXOPTS="-W -q" html

pot:
	cd ${SRC_DIR}/po; ./intltool-update --pot

get-translations:
	ssh pootletranslations ". /var/www/sites/pootle/env/bin/activate; python /var/www/sites/pootle/src/manage.py sync_stores --verbosity=3 --project=virtaal  --overwrite"
	rsync -az --delete --exclude="README" --exclude="LINGUAS*" --exclude="Makevars" --exclude="intltool-update" --exclude="testlocalisations" --exclude="POTFILES.*" --exclude=".translation_index" --exclude=pootle-terminology.po pootletranslations:/var/www/sites/pootle/translations/virtaal/ ${SRC_DIR}/po

po/%.po: po/virtaal.pot
	cd ${SRC_DIR}/po; ./intltool-update $(*F)

update-translations: ${SRC_DIR}/po/*.po

publish-pot:
	scp ${SRC_DIR}/po/virtaal.pot pootletranslations:/var/www/sites/pootle/translations/virtaal/
	ssh pootletranslations ". /var/www/sites/pootle/env/bin/activate; python /var/www/sites/pootle/src/manage.py update_stores --verbosity=3 --project=virtaal --language=templates"

publish-translations:
	scp ${SRC_DIR}/po/*.po pootletranslations:/var/www/sites/pootle/translations/virtaal/
	ssh pootletranslations ". /var/www/sites/pootle/env/bin/activate; python /var/www/sites/pootle/src/manage.py update_stores --verbosity=3 --project=virtaal; python /var/www/sites/pootle/src/manage.py update_translation_projects --verbosity=3 --project=virtaal"

help:
	@echo
	@echo "Help"
	@echo "----"
	@echo
	@echo "  docs - build Sphinx docs"
	@echo "  pot - update the POT translations templates"
	@echo "  get-translations - retrieve Pootle translations from server (requires ssh config for pootletranslations)"
	@echo "  update-translations - update *.po against virtaal.pot"
	@echo "  publish-translations - send all *.po to Pootle translations server"
	@echo "  publish-pot - send virtaal.pot to Pootle translations server"
	@echo

## virtaal 0.7.0

=== debian/changelog ===
virtaal (0.7.0-1) unstable; urgency=low

  [ Omar Campagne ]
  * New upstream version.
  * Added debian/patches/declare_packaged_version to avoid dependency
    checking on startup as well as the "--profile" function on packaged
    versions.
  * debian/virtaal.1: Delete "--profile" info from the manpage,
    now disabled.
    Change spelling dependency package recommendation from
    openoffice.org-common to libreoffice-common.
  * debian/rules: Create minimal dh-7 file.
  * debian/source/options: Added option to ignore MO files, hence
    allowing to build twice in a row.
  * debian/control: Bump translate-toolkit dependency to 1.9.0
  * debian/control: Bump Standards version to 3.9.2. No changes
  * Drop python-central for dh_python2. Closes: #617142
  * debian/control: Set maintainer to Debian l10n devel group,
    and add Christian Perrier, Nicolas François and myself as uploaders
  * debian/rules: Drop dh_clean -k for dh_prep
  * debian/virtaal.1: Recommend python-gtkspell in the manpage instead
    of python-gnome2-extras (now unavaliable)
    Delete --terminology option, doesn't exist
    Add and correct shortcuts according to new upstream
    version, add link to complete list of shortcuts
  * debian/patches/debian_openoffice_autocorr_files: Rename and update
    to libreoffice's path for autocorrection files
  * debian/patches: Refresh patches

  [ Christian Perrier ]
  * Switch to 3.0 source format

 -- Omar Campagne <ocampagne@gmail.com>  Fri, 03 Jun 2011 13:51:06 +0200

virtaal (0.6.1-0.1) unstable; urgency=low

  * Non-maintainer upload with maitnainer's agreement.
  * New upstream version. Closes: #585005

 -- Christian Perrier <bubulle@debian.org>  Fri, 30 Jul 2010 03:41:19 +0200

virtaal (0.5.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump version dependency of translate-toolkit to 1.5.1.
  * debian/control: Standards-Version bumped to 3.8.4. No changes.
  * debian/control: Add dependency on ${misc:Depends}
  * debian/control: Remove build dependency on python-all-dev.
  * debian/copyright: Updated

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Tue, 02 Feb 2010 00:22:04 +0100

virtaal (0.5.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Added python-psycopg2 to the Recommended package. This is
    needed for the TinyTM plugin.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 11 Jan 2010 19:40:47 +0100

virtaal (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 06 Dec 2009 12:51:22 +0100

virtaal (0.5.0~rc1-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/control: This version of virtaal will depend on
    translate-toolkit >= 1.5.0
  * debian/patches/debian_openoffice_autocorr_files,
    debian/patches/fail_for_missing_dependencies: Refreshed patches.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 21 Nov 2009 14:53:56 +0100

virtaal (0.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version bumped to 3.8.3. No changes.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 08 Nov 2009 23:17:08 +0100

virtaal (0.4.0-2) unstable; urgency=low

  * debian/control: Recommend python-gtkspell instead of python-gnome2-extras.
    Closes: #541599

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 15 Aug 2009 02:38:22 +0200

virtaal (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 10 Aug 2009 21:16:09 +0200

virtaal (0.4.0~rc2-1) experimental; urgency=low

  * New upstream release
  * debian/control: move from section python to section devel.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 03 Aug 2009 00:10:47 +0200

virtaal (0.4.0~rc1-1) experimental; urgency=low

  * New upstream release
    + debian/patches/glade_warnings: Removed (not needed anymore).
  * debian/control: Standards-Version bumped to 3.8.2. No changes.
  * debian/rules: Removed dh_desktop, this is now handled with a trigger.
  * debian/rules: Do not check the dependencies at build time. This avoid
    depending on too many python libraries at build time (--nodepcheck added)
  * debian/rules: Remove the generated (binary) MO files in the clean rule to
    allow building twice in a row
  * debian/patches/debian_remove_tests: Do not distribute the test directory.
  * debian/patches/fail_for_missing_dependencies: Fail when the dependencies
    are checked (and some dependencies are missing) during build time, instead
    of just issuing a warning.
  * debian/control: Added dependency: python-simplejson.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 25 Jul 2009 13:59:33 +0200

virtaal (0.3.1-3) unstable; urgency=low

  * debian/watch: Added watch file.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 01 Mar 2009 11:23:38 +0100

virtaal (0.3.1-2) unstable; urgency=low

  * debian/control: Added dependency on python-lxml. It is required for
    Virtaal, but only recommended by translate-toolkit. Closes: #517522 

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 28 Feb 2009 13:31:05 +0100

virtaal (0.3.1-1) unstable; urgency=low

  * New upstream release
  * debian/control, debian/virtaal.1: Fix Virtaal's name.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Wed, 18 Feb 2009 19:04:39 +0100

virtaal (0.3.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: Added missing build dependency on translate-toolkit.
    Closes: #507267
  * debian/control: Recommend python-levenshtein to avoid warnings.
    Closes: #507207
  * debian/control: Added missing dependency on python-glade2.
    Closes: #507206
  * debian/control: Added dependency on python-pycurl.


=== debian/control ===
Source: virtaal
Section: devel
Priority: optional
Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
Uploaders: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>, Christian Perrier <bubulle@debian.org>, Omar Campagne <ocampagne@gmail.com>
Build-Depends-Indep: python (>= 2.6.6-3~), translate-toolkit (>= 1.9.0)
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.40)
X-Python-Version: >=2.5
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/debian-l10n/virtaal/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/debian-l10n/virtaal/trunk
Homepage: http://translate.sourceforge.net/wiki/virtaal/index

Package: virtaal
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, translate-toolkit (>= 1.9.0), python-gtk2, python-gobject, python-glade2, python-pycurl, python-lxml, python-simplejson
Recommends: python-gtkspell, openoffice.org-common, python-levenshtein, python-psycopg2
Description: graphical localisation editor
 Virtaal is a graphical localisation editor which supports a variety of formats
 (including PO and XLIFF files).

## virtaal 0.7.1

=== debian/changelog ===
virtaal (0.7.1-5) unstable; urgency=medium

  * Point Vcs-* URLs to salsa.debian.org.
  * Update Standards-Version to 4.1.3 (no changes required).
  * Bump debhelper compat to 11.
  * Switch dependency to python-gobject-2 (Closes: #890176).
  * Update dependency to python-translate for new translate-toolkit packaging
    (Closes: #826856).
  * Fix kdialog use for Plasma 5.

 -- Stuart Prescott <stuart@debian.org>  Thu, 22 Feb 2018 00:55:18 +1100

virtaal (0.7.1-4) unstable; urgency=medium

  * permit stderr from autopkgtests

 -- Stuart Prescott <stuart@debian.org>  Tue, 07 Nov 2017 12:22:35 +1100

virtaal (0.7.1-3) unstable; urgency=medium

  * Remove Recommends on old python-gtkspell package; there is no spell
    checking in virtaal until it is ported to gtkspellcheck (Closes: #809657).
  * Don't assume that kdialog is installed in KDE sessions.

 -- Stuart Prescott <stuart@debian.org>  Tue, 10 Jan 2017 23:42:24 +1100

virtaal (0.7.1-2) unstable; urgency=medium

  * Remove Nicolas François (Nekral) from uploaders, with thanks for work
    over many years (Closes: #832384).
  * Add Stuart Prescott to Uploaders.
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Update Homepage to new location.
  * Update Vcs fields to new git repository.
  * Drop obsolete Debian menu file.
  * Switch to debhelper compat 9 and pybuild for build system.
  * Extend package description.

 -- Stuart Prescott <stuart@debian.org>  Wed, 27 Jul 2016 01:30:51 +1000

virtaal (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: refresh patches

 -- Omar Campagne <ocampagne@gmail.com>  Wed, 11 Jan 2012 16:47:36 +0100

virtaal (0.7.0-2) unstable; urgency=low

  [ Omar Campagne ]
  * debian/control: Drop quilt from build-depends. Not necessary.
  * debian/control: Drop python-simplejson. Virtaal automatically checks
    and defaults to built-in python 2.6 json if python-simplejson is not
    installed. Closes: #612218

  [ Christian Perrier ]
  * Depend on libreoffice-common instead of openoffice.org-common
    Closes: #651667

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Dec 2011 14:02:55 +0100

=== debian/control ===
Source: virtaal
Section: devel
Priority: optional
Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
Uploaders:
 Christian Perrier <bubulle@debian.org>,
 Omar Campagne <ocampagne@gmail.com>,
 Stuart Prescott <stuart@debian.org>
Build-Depends-Indep:
 python (>= 2.6.6-3~),
 python-translate,
Build-Depends:
 dh-python,
 debhelper (>= 11~)
X-Python-Version: >=2.5
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/l10n-team/virtaal.git
Vcs-Browser: https://salsa.debian.org/l10n-team/virtaal
Homepage: http://virtaal.translatehouse.org/

Package: virtaal
Architecture: all
Depends:
 python-glade2,
 python-gobject-2,
 python-gtk2,
 python-lxml,
 python-pycurl,
 python-translate,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 libreoffice-common,
 python-levenshtein,
 python-psycopg2
Description: graphical localisation editor and multi-format translation tool
 Virtaal is a graphical localisation editor that is designed to offer the
 translator an uncluttered interface for translating text. Virtaal supports a
 wide variety of common formats including PO and XLIFF files (and everything
 else that the translate-toolkit package supports).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

d	= debian/virtaal

%:
	dh $@ --with python2 --buildsystem pybuild

override_dh_auto_install:
	python setup.py install --nodepcheck --prefix=$(CURDIR)/$(d)/usr

override_dh_auto_test:
	# tests do not currently pass

=== debian/tests/control ===
Tests: smoketest
Restrictions: allow-stderr
Depends:
 virtaal,
 xauth,
 xserver-xephyr,
 xvfb,

## virtaal 0.7.1%2Bgit20191021%2Bds1

=== debian/changelog ===
virtaal (0.7.1+git20191021+ds1-1) unstable; urgency=medium

  * New git snapshot for Python 3 and Gtk3 support.
    - update build and runtime dependencies to Python 3 versions
      (Closes: #938781).
    - update build and runtime dependencies to Gtk 3 versions
      (Closes: #885493).
    - drop patches already applied upstream.
    - refresh patches.
    - add extra patches for Python 3 porting.
  * Mark trivial application autopkgtest as 'superficial'.
  * Build the documentation and include it in the package.
  * Update Standards-Version to 4.4.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 29 Oct 2019 00:15:28 +1100

virtaal (0.7.1-7) unstable; urgency=medium

  * Depend on python-diff-match-patch module and cherry-pick upstream commits
    to us it rather than the embedded copy from python-translate.
  * Update Uploaders list, removing  Christian Perrier and Omar Campagne.
    Thank you both for your contribution! (Closes: #927577)
  * Update Standards-Version to 4.4.0 (no changes required).
  * Update to debhelper compat 12.

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Jul 2019 15:57:50 +1000

virtaal (0.7.1-6) unstable; urgency=medium

  * Cherry pick upstream patch to follow redirects, with thanks to Török Edwin
    (Closes: #788421).
  * Update Standards-Version to 4.1.4 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Fri, 06 Apr 2018 20:29:00 +1000

## virtaal 0.7.1+git20191021+ds1

=== debian/changelog ===
virtaal (0.7.1+git20191021+ds1-2) unstable; urgency=medium

  * Add missing dependencies on python3-six.
  * Move to debhelper-compat 13.
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 15 Aug 2020 12:25:48 +1000

=== debian/control ===
Source: virtaal
Section: devel
Priority: optional
Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 dh-python,
 debhelper-compat (= 13),
 gir1.2-gtk-3.0,
 intltool,
 libreoffice-common,
 python3,
 python3-cheroot,
 python3-enchant,
 python3-levenshtein,
 python3-diff-match-patch,
 python3-gi,
 python3-lxml,
 python3-libproxy,
 python3-psycopg2,
 python3-pycurl,
 python3-six,
 python3-sphinx,
 python3-translate,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/l10n-team/virtaal.git
Vcs-Browser: https://salsa.debian.org/l10n-team/virtaal
Homepage: http://virtaal.translatehouse.org/
Rules-Requires-Root: no

Package: virtaal
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 python3-diff-match-patch,
 python3-gi,
 python3-lxml,
 python3-pycurl,
 python3-six,
 python3-translate,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Recommends:
 libreoffice-common,
 python3-cheroot,
 python3-enchant,
 python3-levenshtein,
 python3-libproxy,
 python3-psycopg2,
Description: graphical localisation editor and multi-format translation tool
 Virtaal is a graphical localisation editor that is designed to offer the
 translator an uncluttered interface for translating text. Virtaal supports a
 wide variety of common formats including PO and XLIFF files (and everything
 else that the translate-toolkit package supports).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

d	= debian/virtaal

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	./maketranslations virtaal
	dh_auto_build
	+$(MAKE) -C docs html

override_dh_auto_test:
	# tests do not currently pass

=== debian/tests/control ===
Tests: smoketest
Restrictions: allow-stderr, superficial
Depends:
 virtaal,
 xauth,
 xserver-xephyr,
 xvfb,

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[_.+-]?((RC|rc|pre|dev|b|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds1,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/virtaal-$1\.tar\.gz/" \
  https://github.com/translate/virtaal/tags .*/v?(\d\S*)\.tar\.gz
